%define dist el5

%define python python
%{?with_python:%define python %{with_python}}

%define pyver %(%{python} -c "import sys; print '%s.%s' % sys.version_info[:2]")
%define release 1.py%{pyver}

%define name python-pygments
%define unmangled_name Pygments
%define version 0.11.1
%define unmangled_version 0.11.1

Summary: Pygments is a syntax highlighting package written in Python.
Name: %{name}
Version: %{version}
Release: %{release}.%{dist}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: BSD License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Georg Brandl <g.brandl@gmx.net>
Url: http://pygments.org/

%description

    Pygments
    ~~~~~~~~

    Pygments is a syntax highlighting package written in Python.

    It is a generic syntax highlighter for general use in all kinds of software
    such as forum systems, wikis or other applications that need to prettify
    source code. Highlights are:

    * a wide range of common languages and markup formats is supported
    * special attention is paid to details, increasing quality by a fair amount
    * support for new languages and formats are added easily
    * a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI sequences
    * it is usable as a command-line tool and as a library
    * ... and it highlights even Brainfuck!

    The `Pygments tip`_ is installable with ``easy_install Pygments==dev``.

    .. _Pygments tip: http://dev.pocoo.org/hg/pygments-main/archive/tip.tar.gz#egg=Pygments-dev

    :copyright: 2006-2007 by Georg Brandl, Armin Ronacher and others.
    :license: BSD, see LICENSE for more details.


%prep
%setup -n %{unmangled_name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install --single-version-externally-managed --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
